MSET(1)

NAME
mset - retrieve ASCII to IBM 3270 keyboard map

SYNOPSIS
mset [-picky] [-shell] [keyboardname]

DESCRIPTION
Mset retrieves mapping information for the ASCII keyboard to IBM 3270 terminal special functions. Normally, these mappings are found in /usr/share/misc/map3270 (see map3270(5)). This information is used by the tn3270 command (see tn3270(1)).

The default mset output can be used to store the mapping information in the process environment in order to avoid scanning map3270 each time tn3270 is invoked. To do this, place the following command in your .login file:

    set noglob; setenv MAP3270 "`mset`"; unset noglob

If the keyboardname argument is not supplied, mset attempts to determine the name of the keyboard the user is using, by checking the KEYBD environment variable. If the KEYBD environment variable is not set, then mset uses the user's terminal type from the environment variable TERM as the keyboard name. Normally, mset then uses the file map3270(5) to find the keyboard mapping for that terminal. However, if the environment variable MAP3270 exists and contains the entry for the specified keyboard, then that definition is used. If the value of MAP3270 begins with a slash (`/') then it is assumed to be the full pathname of an alternative mapping file and that file is searched first. In any case, if the mapping for the keyboard is not found in the environment, nor in an alternative map file, nor in the standard map file, then the same search is performed for an entry for a keyboard with the name unknown. If that search also fails, then a default mapping is used.

The arguments to mset are:

-picky
    When processing the various map3270 entries (for the user's keyboard, and all those encountered before the one for the user's keyboard), mset normally will not complain about entries for unknown functions (like “PFX1”); the -picky argument causes mset to issue warning messages about these unknown entries.

-shell
    If the map3270 entry is longer than the shell's 1024 environmental variable length limit, the default mset output cannot be used to store the mapping information in the process environment to avoid scanning map3270 each time tn3270 is invoked. The -shell argument causes mset to generate shell commands to set the environmental variables MAP3270, MAP3270A, and so on, breaking up the entry to fit within the shell environmental variable length limit. To set these variables, place the following command in your .login file:

        mset -shell > tmp ; source tmp ; /bin/rm tmp

keyboardname
    When searching for the map3270 entry that matches the user's keyboard, mset will use keyboardname instead of determining the keyboard name from the KEYBD or TERM environmental variables.

FILES
/usr/share/misc/map3270
    keyboard mapping for known keyboards

SEE ALSO
tn3270(1), map3270(5)

HISTORY
The mset command appeared in 4.3BSD.